package com.ekingwin.bas.cloud.document.config;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.PropertySource;

@Configuration  
@ConfigurationProperties(prefix = "document")  
@PropertySource("classpath:global.properties")  
public class DocumentDefineConfig{  
    private String docStoreLocation;
    private String tempFoldId;
    private String canntDelFolder;
	private String topFolderId;
	private String watermarkpath;
	
    public String getWatermarkpath() {
		return watermarkpath;
	}

	public void setWatermarkpath(String watermarkpath) {
		this.watermarkpath = watermarkpath;
	}

	public String getCanntDelFolder() {
		return canntDelFolder;
	}

	public void setCanntDelFolder(String canntDelFolder) {
		this.canntDelFolder = canntDelFolder;
	}

	public String getTopFolderId() {
		return topFolderId;
	}

	public void setTopFolderId(String topFolderId) {
		this.topFolderId = topFolderId;
	}

	public String getDocStoreLocation() {
		return docStoreLocation;
	}

	public void setDocStoreLocation(String docStoreLocation) {
		this.docStoreLocation = docStoreLocation;
	}

	public String getTempFoldId() {
		return tempFoldId;
	}

	public void setTempFoldId(String tempFoldId) {
		this.tempFoldId = tempFoldId;
	}
     
     
	
}
