package com.ekingwin.bas.cloud.document.model;

import com.ekingwin.bas.cloud.infra.dto.BaseDTO;

public class FolderPermissionDto extends BaseDTO{
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 7862645926381869253L;
	private String  id	;//主键
	private String  folder	;//目录
	private String  folderName	;//目录名称
	private String  clbrauserlist	;//用户基本权限
	private String  extenduserlist	;//用户额外权限
	private String  clbrarolelist	;//角色基本权限
	private String  extendrolelist	;//角色额外权限
	private String  manager	;//目录管理员
	private String  freetaglib1	;//自定义标签1
	private String  freetaglib2	;//自定义标签2
	private String  freetaglib3	;//自定义标签3
	private String  freetaglib4	;//自定义标签4
	private String  freetaglib5	;//自定义标签5
	private String  taglib	;//标准标签
	private String  checkin	;//目录文档检入是否审批
	
	private String  relatedid	;//授权对象
	private String  relatedName	;//授权名称
	private String  relatedtype	;//授权对象类型 0：组织；1：公司；2：部门；3：岗位；4：事业部；5：片区；6：职务；7：系统组；8：角色；9：用户；10：自定义组
	private String  lookover	;//是否可以查看：1：可以；0：不可以
	private String  upload	;//是否可以上传：1：可以；0：不可以
	public String getId() {
		return id;
	}
	public void setId(String id) {
		this.id = id;
	}

	public String getFolderName() {
		return folderName;
	}
	public void setFolderName(String folderName) {
		this.folderName = folderName;
	}
	public String getRelatedName() {
		return relatedName;
	}
	public void setRelatedName(String relatedName) {
		this.relatedName = relatedName;
	}
	public String getFolder() {
		return folder;
	}
	public void setFolder(String folder) {
		this.folder = folder;
	}
	public String getClbrauserlist() {
		return clbrauserlist;
	}
	public void setClbrauserlist(String clbrauserlist) {
		this.clbrauserlist = clbrauserlist;
	}
	public String getExtenduserlist() {
		return extenduserlist;
	}
	public void setExtenduserlist(String extenduserlist) {
		this.extenduserlist = extenduserlist;
	}
	public String getClbrarolelist() {
		return clbrarolelist;
	}
	public void setClbrarolelist(String clbrarolelist) {
		this.clbrarolelist = clbrarolelist;
	}
	public String getExtendrolelist() {
		return extendrolelist;
	}
	public void setExtendrolelist(String extendrolelist) {
		this.extendrolelist = extendrolelist;
	}
	public String getManager() {
		return manager;
	}
	public void setManager(String manager) {
		this.manager = manager;
	}
	public String getFreetaglib1() {
		return freetaglib1;
	}
	public void setFreetaglib1(String freetaglib1) {
		this.freetaglib1 = freetaglib1;
	}
	public String getFreetaglib2() {
		return freetaglib2;
	}
	public void setFreetaglib2(String freetaglib2) {
		this.freetaglib2 = freetaglib2;
	}
	public String getFreetaglib3() {
		return freetaglib3;
	}
	public void setFreetaglib3(String freetaglib3) {
		this.freetaglib3 = freetaglib3;
	}
	public String getFreetaglib4() {
		return freetaglib4;
	}
	public void setFreetaglib4(String freetaglib4) {
		this.freetaglib4 = freetaglib4;
	}
	public String getFreetaglib5() {
		return freetaglib5;
	}
	public void setFreetaglib5(String freetaglib5) {
		this.freetaglib5 = freetaglib5;
	}
	public String getTaglib() {
		return taglib;
	}
	public void setTaglib(String taglib) {
		this.taglib = taglib;
	}
	public String getCheckin() {
		return checkin;
	}
	public void setCheckin(String checkin) {
		this.checkin = checkin;
	}
	public String getRelatedid() {
		return relatedid;
	}
	public void setRelatedid(String relatedid) {
		this.relatedid = relatedid;
	}
	public String getRelatedtype() {
		return relatedtype;
	}
	public void setRelatedtype(String relatedtype) {
		this.relatedtype = relatedtype;
	}
	public String getLookover() {
		return lookover;
	}
	public void setLookover(String lookover) {
		this.lookover = lookover;
	}
	public String getUpload() {
		return upload;
	}
	public void setUpload(String upload) {
		this.upload = upload;
	}
	

}
