package com.ekingwin.bas.cloud.document.web;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.multipart.MultipartFile;

import com.ekingwin.bas.cloud.document.dto.PictureDto;
import com.ekingwin.bas.cloud.document.service.impl.UploadPictureServiceImpl;
import com.ekingwin.bas.cloud.infra.dto.BaseResult;
import com.ekingwin.bas.cloud.infra.web.BaseController;

import io.swagger.annotations.Api;

@RestController
@RequestMapping("/picture")
@Api("富文本框图片上传")
public class UploadPictureController extends BaseController {
	@Autowired
	private UploadPictureServiceImpl uploadPictureService;
	@RequestMapping(value="/upload", method = RequestMethod.POST)
	public BaseResult<PictureDto> upload(@RequestParam(value = "upload") MultipartFile upload) throws Exception{
		return uploadPictureService.uploadPicture(upload);
	}
	
}
