package com.ekingwin.bas.cloud.org.service;

import com.ekingwin.bas.cloud.infra.dto.BaseResult;
import com.ekingwin.bas.cloud.infra.dto.QueryDTO;
import com.ekingwin.bas.cloud.infra.exception.BasException;
import com.ekingwin.bas.cloud.infra.service.IBaseCurdService;
import com.ekingwin.bas.cloud.infra.utils.db.PageCriteria;
import com.ekingwin.bas.cloud.org.dto.OrganizationUserDto;
import com.ekingwin.bas.cloud.user.dto.UserDto;

public interface IOrganizationUserTenantService  extends IBaseCurdService<OrganizationUserDto> {

	BaseResult<OrganizationUserDto> deleteUser(OrganizationUserDto orguser) throws BasException;

	BaseResult<PageCriteria<UserDto>> getTenantUser(QueryDTO query) throws BasException;

}
