package com.ekingwin.bas.cloud.user.dao.entity;

import lombok.Data;

import java.util.Objects;

@Data
public class IpcOutUser {
    private Long id;

    private String contacts;//联系人

    private String callPhone;//联系方式

    private String email;

    private int state;//状态（是否禁用）

    private String company;//公司名称

    private String jobTitle;//工作职位

    private String companyType;//公司类型

    private String companyTypeId;//公司类型id

    private String department;//部门

    private String city;

    private String password; //密码

    private Integer employeeNumber;//员工数

    private String companyWeb;//公司网站

    private String socialCreditCode;//社会信用代码

    private String identificationPhoto;//证件照

    private String name;//用户名

    private String newTime;//创建时间

    private String updateTime;//更新时间

    private String usermsg;//用户信息

    private String newUser;//创建者


    @Override
    public String toString() {
        return "IpcOutUser{" +
                "id=" + id +
                ", contacts='" + contacts + '\'' +
                ", callPhone='" + callPhone + '\'' +
                ", email='" + email + '\'' +
                ", state=" + state +
                ", company='" + company + '\'' +
                ", jobTitle='" + jobTitle + '\'' +
                ", companyType='" + companyType + '\'' +
                ", department='" + department + '\'' +
                ", city='" + city + '\'' +
                ", password='" + password + '\'' +
                ", employeeNumber=" + employeeNumber +
                ", companyWeb='" + companyWeb + '\'' +
                ", socialCreditCode='" + socialCreditCode + '\'' +
                ", identificationPhoto='" + identificationPhoto + '\'' +
                ", name='" + name + '\'' +
                ", newTime='" + newTime + '\'' +
                ", updateTime='" + updateTime + '\'' +
                ", usermsg='" + usermsg + '\'' +
                ", newUser='" + newUser + '\'' +
                '}';
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (!(o instanceof IpcOutUser)) return false;
        IpcOutUser that = (IpcOutUser) o;
        return state == that.state &&
                Objects.equals(id, that.id) &&
                Objects.equals(callPhone, that.callPhone) &&
                Objects.equals(email, that.email) &&
                Objects.equals(company, that.company) &&
                Objects.equals(jobTitle, that.jobTitle) &&
                Objects.equals(companyType, that.companyType) &&
                Objects.equals(department, that.department) &&
                Objects.equals(city, that.city) &&
                Objects.equals(password, that.password) &&
                Objects.equals(employeeNumber, that.employeeNumber) &&
                Objects.equals(companyWeb, that.companyWeb) &&
                Objects.equals(socialCreditCode, that.socialCreditCode) &&
                Objects.equals(identificationPhoto, that.identificationPhoto) &&
                Objects.equals(name, that.name) &&
                Objects.equals(newTime, that.newTime) &&
                Objects.equals(updateTime, that.updateTime) &&
                Objects.equals(usermsg, that.usermsg) &&
                Objects.equals(newUser, that.newUser);
    }

    @Override
    public int hashCode() {
        return Objects.hash(id, callPhone, email, state, company, jobTitle, companyType, department, city, password, employeeNumber, companyWeb, socialCreditCode, identificationPhoto, name, newTime, updateTime, usermsg, newUser);
    }

}