package com.ekingwin.bas.cloud.thirdinterface.orgsync.service;

import com.ekingwin.bas.cloud.infra.service.IBaseCurdService;
import com.ekingwin.bas.cloud.org.OrganizationException;
import com.ekingwin.bas.cloud.org.dto.OrgDto;


public interface IOrgMetaService extends IBaseCurdService<OrgDto> {
	/**
	 * 启用组织
	 * @param id
	 * @return
	 * @throws OrganizationException
	 */
	public void enableOrgAccount(String id) throws OrganizationException;

	/**
	 * 禁用组织
	 * @param id
	 * @return
	 * @throws OrganizationException
	 */
	public void disableOrgAccount(String id) throws OrganizationException;
}
